Page MenuHomePhabricator

Merge direct dependencies of wikibase.ui.entityViewInit
Closed, ResolvedPublic

Description

These dependencies can get directly merged to wikibase.ui.entityViewInit:

  • 'wikibase.experts.getStore',
  • 'wikibase.view.ViewFactoryFactory',
  • 'wikibase.dataTypeStore',
  • 'wikibase.parsers.getStore',
  • 'wikibase.entityIdFormatter',
  • 'wikibase.store.EntityStore',
  • 'wikibase.view.StructureEditorFactory',
  • 'wikibase.RevisionStore',
  • 'wikibase.formatters.ApiValueFormatterFactory',

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2019, 1:40 PM
Jakob_WMDE updated the task description. (Show Details)Sep 20 2019, 2:44 PM

'wikibase.entityPage.entityLoaded'
'wikibase.getUserLanguages'
used in Termbox

'wikibase.EntityInitializer' used in WikibaseQualityConstraints

Note to self: use codesearch before working on these 😑

Jakob_WMDE updated the task description. (Show Details)Sep 20 2019, 2:49 PM

Change 538292 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Merge some direct dependencies into entityViewInit

https://gerrit.wikimedia.org/r/538292

Jakob_WMDE updated the task description. (Show Details)Sep 20 2019, 4:27 PM

Change 538292 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Merge some direct dependencies into entityViewInit

https://gerrit.wikimedia.org/r/538292

Change 538637 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Drop more direct dependencies of entityViewInit

https://gerrit.wikimedia.org/r/538637

Change 538639 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Move ToolbarFactory module into entityViewInit

https://gerrit.wikimedia.org/r/538639

Jakob_WMDE updated the task description. (Show Details)Sep 23 2019, 3:21 PM

Change 538637 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Drop more direct dependencies of entityViewInit

https://gerrit.wikimedia.org/r/538637

Ladsgroup closed this task as Resolved.Oct 4 2019, 10:59 AM